Subject: bug#6419: A suggestion for easier editing of lists in Custom buffers

From: Mauro Aranda <[email-masked]>
Date: Wed, 21 Oct 2020 14:32:24 -0300

Drew Adams <[email-masked]> writes:

> "Insert a new item (or a previously deleted one) into the list at this
> position."
>
> Should "a previously deleted one" be "the last-deleted one"?

Not necessarily.  It works like a stack.

> If you use INS in one customize buffer after using
> DEL in another, or after using DEL in another part
> of the same buffer (but not part of the same sequence),
> is that last-deleted item inserted?  Or is it only the
> last-deleted (if any) from the same sequence?

The latter.  This only implements moving items within the same
sequence.

> "If there is a recently deleted child, the new widget
> is that deleted child."
>
> Same question/problem.  Any recently deleted child?
> What if there are several?  Is it the last-deleted
> that's used?  (I see that the code says "last-deleted".)

Hopefully what I said above made it clearer.  I guess it's clear that I
had trouble with making it clear and keeping the help-echo short at the
same time, so I'll be glad if someone can improve the wording, or
suggest improvements.

> "from the known childrens" -> "from the known children"

I'll fix that.

Thanks.